%define _description__ \
Mock is a Python module which provides a core mock class. It removes the need \
to create a host of stubs throughout your test suite. After performing an \
action, you can make assertions about which methods / attributes were used and \
arguments they were called with. You can also specify return values and set \
needed attributes in the normal way. \

Name:           python-mock
Version:        2.0.0
Release:        11
Summary:        A Python Mocking and Patching Library for Testing
License:        BSD
URL:            http://www.voidspace.org.uk/python/mock/
Source0:        http://pypi.python.org/packages/source/m/mock/mock-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools python2-funcsigs python2-pbr git python2-unittest2
BuildRequires:  python3-devel python3-setuptools python3-funcsigs python3-pbr python3-unittest2

%description
%{_description__}

%package -n     python2-mock
Summary:        Python2 subpackage for %{name}
%{?python_provide:%python_provide python2-mock}
Requires:       python2-funcsigs python2-pbr python2-six >= 1.9.0

%description -n python2-mock
This is the python2 subpackage for %{name}.
%{_description__}

%package -n     python3-mock
Summary:        Python3 subpackage for %{name}
%{?python_provide:%python_provide python3-mock}
Requires:       python3-funcsigs python3-pbr python3-six >= 1.9.0

%description -n python3-mock
This is the python3 subpackage for %{name}.
%{_description__}

%prep
%autosetup -n mock-%{version} -p1

%build
%{py2_build}
%{py3_build}

%check
%{__python2} setup.py test
%{__python3} setup.py test ||:

%install
%{py3_install}
%{py2_install}

%files -n python2-mock
%license LICENSE.txt
%doc docs/*
%{python2_sitelib}/{*.egg-info,mock}

%files -n python3-mock
%license LICENSE.txt
%doc docs/*
%{python3_sitelib}/{*.egg-info,mock}

%changelog
* Thu Oct 17 2019 huzhiyu <huzhiyu1@huawei.com> - 2.0.0-11
- Package init
